.\"	$NetBSD: fdformat.1,v 1.16 2006/07/22 08:36:14 wiz Exp $
.\"
.\" Copyright (c) 1996, 1997 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by John Kohl.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 22, 2006
.Dt FDFORMAT 1
.Os
.Sh NAME
.Nm fdformat
.Nd format a floppy diskette
.Sh SYNOPSIS
.Nm
.Bk -words
.Op Fl f Ar device
.Ek
.Bk -words
.Op Fl t Ar type
.Ek
.Op Fl n
.Bk -words
.Op Fl B Ar nbps
.Ek
.Bk -words
.Op Fl S Ar nspt
.Ek
.Bk -words
.Op Fl T Ar ntrk
.Ek
.Bk -words
.Op Fl C Ar ncyl
.Ek
.Bk -words
.Op Fl P Ar stepspercyl
.Ek
.Bk -words
.Op Fl G Ar gaplen
.Ek
.Bk -words
.Op Fl F Ar fillbyte
.Ek
.Bk -words
.Op Fl X Ar xfer_rate
.Ek
.Bk -words
.Op Fl I Ar interleave
.Ek
.Sh DESCRIPTION
The
.Nm
utility formats a floppy diskette.
With no arguments, it formats the default floppy device with the default
density parameters (as provided by the floppy diskette device driver).
.Pp
As the each track of the floppy diskette is formatted, it is read to
verify the format was successful.
.Pp
The
.Nm
utility does not create a filesystem of any kind.
Use tools like
.Xr newfs 8 ,
.Xr newfs_msdos 8 ,
or
.Xr mformat 1
(part of the pkgsrc/sysutils/mtools package) depending on what filesystem
type you want to use on the floppy disk to do so.
.Pp
Available command-line flags are:
.Bl -tag -width indent -compact
.It Fl f Ar device
Format the floppy using
.Ar device
instead of the default
.Pa /dev/rfd0a .
.It Fl t Ar type
Format the floppy using parameters for the diskette named
.Ar type
in
.Pa /etc/floppytab
instead of the device default parameters.
.It Fl n
Do not verify each track as it is read.
.It Fl B Ar nbps
Set the number of bytes per sector for the formatted diskette.
.It Fl S Ar nspt
Set the number of sectors per track for the formatted diskette.
.It Fl T Ar ntrk
Set the number of tracks (heads) per cylinder for the formatted diskette.
.It Fl C Ar ncyl
Set the number of cylinders for the formatted diskette.
.It Fl P Ar stepspercyl
Set the number of motor steps per cylinder for the formatted diskette.
.It Fl G Ar gaplen
Set the sector gap length for the formatted diskette.
.It Fl F Ar fillbyte
Set the fill byte for the formatted diskette.
.It Fl X Ar xfer_rate
Set the bit transfer rate for the formatted diskette.
.It Fl I Ar interleave
Set the interleave factor for the formatted diskette.
.El
.Sh SEE ALSO
.Xr fdc 4
(amiga, i386 and sparc ports)
.Sh HISTORY
The
.Nm
utility appeared in
.Nx 1.3 .
.Sh BUGS
Some floppy drive units have physical
diskette format sensors which automatically select a diskette
density for reading.
Such drives can format at alternate densities, but
they cannot successfully verify the formatted diskette except at the
diskette's normal density.
